GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

GTPin: Defining the Profiled Thread Group IDs

GTPin configuration options for limiting the profiling scope to specific Thread Group IDs

With GTPin, you can narrow profiling to specific Thread Group IDs. Software creates working groups which are processed by several threads. Each thread working group is assigned with an identification number (called Thread Group ID), which consists of three elements - X, Y, Z.
To narrow profiling to specific Thread Group IDs use the configuration parameter: `--thread_group_scope`. The provided values are integers.

Usage:
`--thread_group_scope [X:val][,Y:val][,Z:val] or`
`--thread_group_scope [X:min:val:step:val:max:val][,Y:min:val:step:val:max:val],[Z::min:val:step:val:max:val]`

Note:
  - The elements can be provided in any order.
  - Only scope elements to be profiled should be provided.
  - At least one element must be provided.
  - Only step which is a power of 2 is supported

Usage example:
`--thread_group_scope X:3,Y:5,Z:0`
The example profiles single Thread Group (3, 5, 0).
`--thread_group_scope X:3`
The example profiles all thread groups whose X components equals to 3 - (3, *, *).
`--thread_group_scope X:min:5:max:10`
The example profiles all thread groups whose X components varieas between 5 and 10 - (5:10, *, *).
`--thread_group_scope X:max:10`
The example profiles all thread groups whose X components is less than or equal 10 - (*:10, *, *).
`--thread_group_scope X:min:10`
The example profiles all thread groups whose X components is greater or equal 10 - (*:10, *, *).
`--thread_group_scope X:min:10:step:4:max:20`
The example profiles all thread groups whose X components is are 10,14,18.
`--thread_group_scope X:step:2`
The example profiles all thread groups whose X components is even - 0,2,4,....

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT